<?php
// $Id: soustabdyn.php,v 1.7 2008-04-07 16:54:57 fgiva Exp $
header('Content-type: text/html; charset=iso-8859-1');  
include_once ("../dyn/session.inc");   //Ajout
require_once "DB.php";
include_once ("../dyn/connexion.php");
// * custom *
if(file_exists("../dyn/custom/var.inc")) {
   include_once("../dyn/custom/var.inc");
}
else {
  include_once("../dyn/var.inc");    // fin ajout
}

if(isset($_GET['recherche']))//Ajout 
  $recherche=$_GET['recherche'];
if(isset($_GET['objsf']))//Ajout
  $objsf=$_GET['objsf'];
if(isset($_GET['obj']))
  $obj=$_GET['obj'];
if(isset($_GET['nat'])) //ajout fred
  $nat=$_GET['nat'];
if(isset($_GET['idx']))
  $idx=$_GET['idx'];
$hiddenid=0;
include_once ("../sql/".$dsn['phptype']."/".$objsf.".inc");
if(!isset($deleteall))
    $deleteall=0;
//dsn  ======================================================================
$ajax=0;
if (!isset($db)) {
  $ajax=1;
  $db=& DB :: connect($dsn, $db_option);
  if (DB :: isError($db)) {
    die($db->getMessage());
  } else {
    if($DEBUG==1)
    echo "La base ".$dsn['database']." est connectée.<br>";
  }       //   fin ajout
}
// ===============================
// modification gestion des quotes
if(isset($_POST['recherche'])){
       $recherche=$_POST['recherche'];
       if (get_magic_quotes_gpc()) // magic_quotes_gpc = on
          $recherche1= StripSlashes($recherche);
       else
          $recherche1= $recherche;
}else
    if(isset($_GET['recherche'])){
        $recherche=$_GET['recherche'];
        if (get_magic_quotes_gpc()) // magic_quotes_gpc = on
          $recherche1= StripSlashes($recherche);
        else
          $recherche1= $recherche;
    }else{
        $recherche="";
        $recherche1="";
    }
if(isset($_GET['premiersf']))
    $premiersf=$_GET['premiersf'];
else
    $premiersf=0;
if(isset($_GET['trisf'])) //ajout fred
    $tricolsf=$_GET['trisf'];
else
    $tricolsf="";
// librairie utilisée =========================================================

    // variable droit
    $sql =  "SELECT profil from droit where droit= '".$obj."'";
    $droit =$db->getOne($sql);
    If ($_SESSION['profil'] >= $droit && !strstr($objsf,"rebut")){
//    if(!isset($href) or $href==array()){
// avec affectation href dans .inc
      if (substr($objsf,0,7)=="station" || $objsf=="periphlibre" || $objsf=="telecom" || $objsf=="reseau" || $objsf=="copieur" || $objsf=="imprimante") {
        $href[0]['lien']= "#";
        $href[0]['id']= "";
        $href[0]['lib']= "";
        $href[1]['lien'] = "form.php?obj=".$objsf."&idx="; 
        $href[1]['id']= "&premier=".$premiersf."&recherche=".$recherche1;
        $href[1]['lib']= "";              
        $href[2]['lien'] = "form.php?obj=".$objsf."&idx="; 
        $href[2]['id']= "&ids=1&premier=".$premiersf."&recherche=".$recherche1;
        // * custom *
        if(file_exists("../dyn/custom/img/supprimer.png")) {
          $href[2]['lib']= "<img src='../dyn/custom/img/supprimer.png'  border='0'>";
        }
        else {
          $href[2]['lib']= "<img src='../img/supprimer.gif' border='0'>";
        }
      } else {
        $href[0]['lien']= "idxformulaire=".$idx;
        $href[0]['id']= "&objsf=".$objsf."&premiersf=".$premiersf."&retourformulaire=".$obj."&trisf=".$tricolsf;
        // * custom *
        if(file_exists("../dyn/custom/img/ajouter.png")) {
            $href[0]['lib']= "<img src=../dyn/custom/img/ajouter.png border=0>";
        }
        else {
           $href[0]['lib']= "<img src=../img/ajouter.gif border=0>";
        }
        $href[1]['lien'] = "idx=";
        $href[1]['id']= "&objsf=".$objsf."&premiersf=".$premiersf."&retourformulaire=".$obj."&idxformulaire=".$idx."&trisf=".$tricolsf;
        $href[1]['lib']= "";
        $href[2]['lien'] = "idx=";
        $href[2]['id']= "&ids=1&objsf=".$objsf."&premiersf=".$premiersf."&retourformulaire=".$obj."&idxformulaire=".$idx."&trisf=".$tricolsf;
        // * custom *
        if(file_exists("../dyn/custom/img/supprimer.png")) {
          $href[2]['lib']= "<img src='../dyn/custom/img/supprimer.png' border=0>";
        } else {
          $href[2]['lib']= "<img src='../img/supprimer.gif' border=0>";
        }
        $href[0]['toutsup']= "ids=2&objsf=".$objsf."&premiersf=".$premiersf."&retourformulaire=".$obj."&idxformulaire=".$idx."&trisf=".$tricolsf;
      }
      //*
    } else {
       $href[0]['lien']= "#";
       $href[0]['id']= "";
       $href[0]['lib']= "";
       $href[1]['lien'] = "";
       $href[1]['id']= "";
       $href[1]['lib']= "";
       $href[2]['lien'] = "#";
       $href[2]['id']= "";
       $href[2]['lib']= "";
    }


?>
<script language="javascript">
    var pfenetre;
    var fenetreouverte=false;
function aide()
{
if(fenetreouverte==true)
       pfenetre.close();
pfenetre=window.open("../doc/<?php echo($obj);?>.html","Aide","toolbar=no,scrollbars=yes,status=no, width=600,height=400,top=120,left=120");
fenetreouverte=true;
}
</script>
<?php

/**/      include_once ("../obj/tabparc.class.php");    //tabparc pour $hidden (cacher id)

//==============================================================================
    if ($_SESSION['profil']>0){
      $tb= new tabparc($obj,"",$table, $serie,$champAffiche,$champRecherche,$tri,$tricolsf,$selection);
      //$tb->affichersousformulaire($premiersf,$recherche,$href,$db,$DEBUG);
      $tb->afficheronglet($premiersf,$recherche,$href,$db,$DEBUG,$hiddenid,$deleteall);     //tabparc pour $hidden (cacher id)
    }else
        echo "Droits insuffisants ou reconnectez-vous.";
//==============================================================================
if ($ajax) $db->disconnect();  //ajout
?>